RubyGems Navigation menu

one_gadget 1.9.0

When playing ctf pwn challenges we usually needs the one-gadget of execve('/bin/sh', NULL, NULL). This gem provides such gadget finder, no need to use IDA-pro every time like a fool :p. Typing `one_gadget /path/to/libc` in terminal and having fun!

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.9.0 - November 29, 2023 (163 KB)
  2. 1.8.1 - March 25, 2022 (142 KB)
  3. 1.8.0 - March 20, 2022 (142 KB)
  4. 1.7.4 - January 12, 2021 (128 KB)
  5. 1.7.3 - October 25, 2019 (120 KB)
Show all versions (28 total)

Runtime Dependencies (1):

elftools >= 1.0.2, < 1.2.0

Development Dependencies (5):

rake ~> 13.0
rspec ~> 3.7
rubocop ~> 1.0
simplecov ~> 0.21
yard ~> 0.9

Owners:

Pushed by:

Authors:

  • david942j

SHA 256 checksum:

bc9ec8a6276a6e7ff45d15a4482f84c21f7586477b6827302c552691203a24c9

Total downloads 176,042

For this version 9,861

License:

MIT

Required Ruby Version: >= 2.4

Links: